"""
Function of this code: one method of transforming DNA sequences to numerical values.
Contact for help: gch_liu@163.com 
"""

def dna2numVOSS(seq):
	N=len(seq);
	seq_A=[];
	seq_C=[];
	seq_G=[];
	seq_T=[];
	for i in range(0,N):
		if seq[i]=='A':
			seq_A.append(1);
		else:
			seq_A.append(0);
		if seq[i]=='C':
			seq_C.append(1);
		else:
			seq_C.append(0);
		if seq[i]=='G':
			seq_G.append(1);
		else:
			seq_G.append(0);
		if seq[i]=='T':
			seq_T.append(1);
		else:
			seq_T.append(0);

	return [seq_A,seq_C,seq_G,seq_T];
if __name__=='__main__':
    print(dna2numVOSS("ACTGTCGA"))